> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Retrieve a list of comments that are attached to a content type (e.g. a `Report`) and that object's `id` (`Report.id`).



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/comments/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/comments/:
    get:
      tags:
        - Comments
      summary: List
      description: >-
        Retrieve a list of comments that are attached to a content type (e.g. a
        `Report`) and that object's `id` (`Report.id`).
      operationId: comments_list
      parameters:
        - in: query
          name: content_type
          schema:
            type: string
            enum:
              - datasetconfiguration
              - report
              - report_attitude
          description: The object type to retrieve comments for.
          required: true
        - in: query
          name: object_id
          schema:
            type: string
            format: uuid
          description: The id of the object of `content_type` to retrieve comments for.
          required: true
        - in: query
          name: ordering
          schema:
            type: string
            enum:
              - '-created_at'
              - created_at
          description: Which field to use when ordering the results.
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: tag
          schema:
            type: string
          description: The tag to filter results to (if any)
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCommentReadList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedCommentReadList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/CommentRead'
    CommentRead:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        content_type:
          type: string
          maxLength: 25
        commenter:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        object_id:
          type: string
          format: uuid
        tag:
          type: string
          nullable: true
          maxLength: 50
        text:
          type: string
        parent:
          type: string
          format: uuid
          nullable: true
      required:
        - commenter
        - content_type
        - created_at
        - id
        - object_id
        - updated_at
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          maxLength: 250
        email:
          type: string
          format: email
          title: Email address
          maxLength: 255
        first_name:
          type: string
          nullable: true
          maxLength: 50
        last_name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - email
        - full_name
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````